Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006382OCaml~DO NOT USE (was: OCaml general)public2014-04-28 02:272015-12-11 19:26
Reporterwhitequark 
Assigned Togasche 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0006382: -dsource on trunk prints match cases in incorrect order
DescriptionThe following code printed by -dsource: https://gist.github.com/whitequark/5f6fc3d0a4653969d754 [^] raises the exception Protobuf.Reader.Error(Unexpected_payload("t1", Varint)) if compiled further by ocamlc, but not if copied and pasted into a separate file.

I guess that there's a List.rev missing in -dsource handler.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0011331)
whitequark (developer)
2014-04-28 02:30

Sorry about the noise, I ran the wrong testcase. This can be closed.

- Issue History
Date Modified Username Field Change
2014-04-28 02:27 whitequark New Issue
2014-04-28 02:30 whitequark Note Added: 0011331
2014-04-28 08:26 gasche Status new => resolved
2014-04-28 08:26 gasche Resolution open => no change required
2014-04-28 08:26 gasche Assigned To => gasche
2015-12-11 19:26 xleroy Status resolved => closed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker